Message: Qt5.11.2 and Geant4.10.4.p02 and rpath Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Sad Qt5.11.2 and Geant4.10.4.p02 and rpath 

Forum: Installation and Configuration
Date: Dec 31, 21:26
From: Kareem Kazkaz <Kareem Kazkaz>

Hello all.

I am at my wit's end. I cannot figure out why my app isn't able to launch. I have Qt 5.11.2 installed along with Geant 4.10.04.p02. I can compile and run all the basic examples and they properly show up using the Qt interface and windows.

My application compiles successfully using an old-fashioned makefile, not cmake. When I launch, however, I get the following error message:

dyld: Library not loaded: @rpath/QtCore.framework/Versions/5/QtCore
  Referenced from: /Users/kazkaz1/Documents/AlphaVoltaic/Simulation/BACCARAT/./BACCARATExecutable
  Reason: image not found
Abort trap: 6

Here is my DYLD_LIBRARY_PATH:

	/usr/local/ImageMagick-7.0.8/lib:/usr/local/root_v5.34.36/lib::/usr/local/Qt-5.11.2/lib:/usr/local/root_v5.34.36/lib:/usr/local/geant4.10.04.p02/lib

So we see that the proper Qt dylib path is in there. If I go to that Qt path and look for the library "QtCore", it's right where is should be:

	ls /usr/local/Qt-5.11.2/lib/QtCore.framework/Versions/5/QtCore
	/usr/local/Qt-5.11.2/lib/QtCore.framework/Versions/5/QtCore

I ran "otool -L" on the executable, and found this line:

	@rpath/QtCore.framework/Versions/5/QtCore (compatibility version 5.11.0, current version 5.11.2)

That checks out. I ran "otool -D" on the library, and got this back:

	@rpath/QtCore.framework/Versions/5/QtCore

That also checks out.

So the situation is that I can run Geant4 with Qt properly using the basic examples, the DYLD_LIBRARY_PATH is set correctly, the QtCore library is in the correct location and has the correct name, the executable is looking for the dylib in the correct location, the dylib is exactly where the dylib expects to find itself, and yet the executable cannot find the library.

Does anybody have any suggestions? Is there a flag I'm missing during compilation? Does anybody else have trouble getting Qt to play nice with Geant4 using an old-style makefile?

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 Note: Re: Qt5.11.2 and Geant4.10.4.p02 and rpath   (Ben Morgan - Jan 04, 06:04)
(_ Ok: Re: Qt5.11.2 and Geant4.10.4.p02 and rpath   (Kareem Kazkaz - Jan 04, 23:25)
 Add Message Add Message
to: "Qt5.11.2 and Geant4.10.4.p02 and rpath"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]